secondaryindex

## Enum IndexViewExample.Operation

- java.lang.Object
- - java.lang.Enum<IndexViewExample.Operation>
  - - secondaryindex.IndexViewExample.Operation

- All Implemented Interfaces:
    Serializable, Comparable<IndexViewExample.Operation>
  Enclosing class:
    IndexViewExample

      static enum IndexViewExample.Operation
      extends Enum<IndexViewExample.Operation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUILD_INDEX` Build an Index View.
    `DELETE_RECORD` Delete a record in primary DB and the related Index View records.
    `DROP_INDEX` Drop an Index View.
    `INSERT_RECORD` Insert a record into the primary DB and create an Index View record.
    `LOAD_DATA` Load record into Oracle NoSQL Database.
    `QUERY_RECORD` Query records in the primary DB.
    `SHOW_INDEX` Show all Index Views.
    `UPDATE_RECORD` Update a record in primary DB and the related Index View records.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexViewExample.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexViewExample.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOAD_DATA

          public static final IndexViewExample.Operation LOAD_DATA

      Load record into Oracle NoSQL Database.

    - #### BUILD_INDEX

          public static final IndexViewExample.Operation BUILD_INDEX

      Build an Index View.

    - #### DROP_INDEX

          public static final IndexViewExample.Operation DROP_INDEX

      Drop an Index View.

    - #### INSERT_RECORD

          public static final IndexViewExample.Operation INSERT_RECORD

      Insert a record into the primary DB and create an Index View record.

    - #### UPDATE_RECORD

          public static final IndexViewExample.Operation UPDATE_RECORD

      Update a record in primary DB and the related Index View records.

    - #### DELETE_RECORD

          public static final IndexViewExample.Operation DELETE_RECORD

      Delete a record in primary DB and the related Index View records.

    - #### QUERY_RECORD

          public static final IndexViewExample.Operation QUERY_RECORD

      Query records in the primary DB.

    - #### SHOW_INDEX

          public static final IndexViewExample.Operation SHOW_INDEX

      Show all Index Views.

  - ### Method Detail

    - #### values

          public static IndexViewExample.Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexViewExample.Operation c : IndexViewExample.Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexViewExample.Operation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.